Get Customer Detail
curl --request GET \
--url https://api.provider.fiskil.com/v1/common/customer/{customerId}/detail \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.provider.fiskil.com/v1/common/customer/{customerId}/detail"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.provider.fiskil.com/v1/common/customer/{customerId}/detail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"customerUType": "person",
"person": {
"lastUpdateTime": "2025-02-03T00:00:00.000Z",
"firstName": "Peter",
"lastName": "Sherman",
"middleNames": [
"Mary"
],
"prefix": "Dr",
"occupationCodeVersion": "ANZSCO_1220.0_2006_V1.0",
"phoneNumbers": [
{
"isPreferred": true,
"purpose": "MOBILE",
"countryCode": 61,
"number": 4123456789,
"fullNumber": 614123456789
}
],
"emailAddresses": [
{
"isPreferred": true,
"purpose": "HOME",
"address": "psherman@example.com"
}
],
"physicalAddresses": [
{
"addressUType": "simple",
"simple": {
"mailingName": "P Sherman",
"addressLine1": "42 Wallaby Way",
"postcode": "2000",
"city": "Sydney",
"state": "NSW",
"country": "AUS"
},
"purpose": "MAIL"
}
]
}
}
}{
"error": "Customer not found"
}Common
Get Customer Detail
Obtain detailed information on the authorised customer within the current session.
GET
/
v1
/
common
/
customer
/
{customerId}
/
detail
Get Customer Detail
Authorizations
The Fiskil Data Provider will include a self-signed JWT as a Bearer token in the Authorization header.
You should verify this JWT using the JWKS URL you can find for your Data Provider instance in the Fiskil
Console. To verify the JWT you must:
- Verify the signature
- Ensure the token has not expired by checking the
expclaim - The
subandissclaims are your data provider subdomain - The
audclaim is the URI of the resource being requested (excluding any query parameters) - The
jtivalue is unique For further detail on security and authentication refer to our Authentication documentation
Path Parameters
Unique ID of a customer. This ID must not change for the lifecycle of the customer
Response
Details of the customer with the ID given in the URL path
Show child attributes
Show child attributes
Was this page helpful?
⌘I